Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class AssertionsSupport

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.AssertionsSupport

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

    public class AssertionsSupport

extends java.lang.Object
implements java.beans.PropertyChangeListener

Utility for implementing the Assertable interface

Author:
  ole.matzura

Constructor Summary
`AssertionsSupport(Assertable assertable, java.util.List<com.eviware.soapui.config.RequestAssertionConfig> assertionList)`

Method Summary
`void` | `addAssertionsListener(AssertionsListener listener)`
`WsdlMessageAssertion` | `addWsdlAssertion(com.eviware.soapui.config.RequestAssertionConfig config)`
`void` | `fireAssertionAdded(WsdlMessageAssertion assertion)`
`void` | `fireAssertionRemoved(WsdlMessageAssertion assertion)`
`WsdlMessageAssertion` | `getAssertionAt(int c)`
`int` | `getAssertionCount()`
`java.util.List<WsdlMessageAssertion>` | `getAssertionList()`
`java.util.List<WsdlMessageAssertion>` | `getAssertionsOfType(java.lang.Class<? extends WsdlMessageAssertion> class1)`
`java.util.Iterator<WsdlMessageAssertion>` | `iterator()`
`void` | `propertyChange(java.beans.PropertyChangeEvent arg0)`
`void` | `release()`
`int` | `removeAssertion(WsdlMessageAssertion assertion)`
`void` | `removeAssertionsListener(AssertionsListener listener)`
`void` | `updateConfig(java.util.List<com.eviware.soapui.config.RequestAssertionConfig> assertionList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssertionsSupport

    public AssertionsSupport(Assertable assertable,
                             java.util.List<com.eviware.soapui.config.RequestAssertionConfig> assertionList)

Method Detail

### addWsdlAssertion

    public WsdlMessageAssertion addWsdlAssertion(com.eviware.soapui.config.RequestAssertionConfig config)

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent arg0)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### getAssertionCount

    public int getAssertionCount()

### getAssertionAt

    public WsdlMessageAssertion getAssertionAt(int c)

### addAssertionsListener

    public void addAssertionsListener(AssertionsListener listener)

### removeAssertionsListener

    public void removeAssertionsListener(AssertionsListener listener)

### removeAssertion

    public int removeAssertion(WsdlMessageAssertion assertion)

### release

    public void release()

### iterator

    public java.util.Iterator<WsdlMessageAssertion> iterator()

### fireAssertionAdded

    public void fireAssertionAdded(WsdlMessageAssertion assertion)

### fireAssertionRemoved

    public void fireAssertionRemoved(WsdlMessageAssertion assertion)

### updateConfig

    public void updateConfig(java.util.List<com.eviware.soapui.config.RequestAssertionConfig> assertionList)

### getAssertionList

    public java.util.List<WsdlMessageAssertion> getAssertionList()

### getAssertionsOfType

    public java.util.List<WsdlMessageAssertion> getAssertionsOfType(java.lang.Class<? extends WsdlMessageAssertion> class1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.